| Python Script Engine 8.3 GL Studio Editor Python Script API

Classes | Functions
Highlighter.i File Reference

## Classes
class | Highlighter

## Functions
Highlighter * | CreateHighlighter (String objectName)
Highlighter * | CreateMenuHighlighter (String menuName, String actionName)
Highlighter * | CreateCodeBrowserContextMenuHighlighter (String actionName)
Highlighter * | CreateTabHighlighter (String tabName)
Highlighter * | CreateGeometryBrowserHighlighter (String objectName, int columnIndex)
Highlighter * | CreateTitleBarHighlighter (String objectName)
Highlighter * | CreateObjectPropertyHighlighter (String propertyName)
void | ClearHighlighters ()
Highlighter * | CreateCodeBrowserHighlighter (String identifierName)
Highlighter * | CreateToolboxHighlighter (String objectName)

## Detailed Description

Highlighter.

Copyright
  Copyright Information

## Function Documentation

## ◆ ClearHighlighters()

void ClearHighlighters | ( |  | ) |

## ◆ CreateCodeBrowserContextMenuHighlighter()

Highlighter * CreateCodeBrowserContextMenuHighlighter | ( | String | actionName | ) |

Create a Highlighter for the code brower's context menu actions.

Parameters

  actionName | the name of the editor action object

Returns
  the created highlighter or NULL if the action object couldn't be found

## ◆ CreateCodeBrowserHighlighter()

Highlighter * CreateCodeBrowserHighlighter | ( | String | identifierName | ) |

Create a Highlighter for an element of the code browser.

Parameters

  identifierName | the name of the object

Returns
  the created highlighter or NULL if the object couldn't be found

## ◆ CreateGeometryBrowserHighlighter()

Highlighter * CreateGeometryBrowserHighlighter | ( | String | objectName,
|  | int | columnIndex
| ) |  |

Create a Highlighter for an entry in the Geometry Browser.

Parameters

  objectName | the name of the object
  columnIndex | the index of the column to highlight

Returns
  the created highlighter or NULL if the object couldn't be found

## ◆ CreateHighlighter()

Highlighter * CreateHighlighter | ( | String | objectName | ) |

Create a Highlighter.

Parameters

  objectName | the name of the editor object

Returns
  the created highlighter or NULL if the object couldn't be found

## ◆ CreateMenuHighlighter()

Highlighter * CreateMenuHighlighter | ( | String | menuName,
|  | String | actionName
| ) |  |

Create a Highlighter for File Menu actions.

Parameters

  menuName | the name of the parent menu for the incoming action
  actionName | the name of the editor action object

Returns
  the created highlighter or NULL if the action object couldn't be found

## ◆ CreateObjectPropertyHighlighter()

Highlighter * CreateObjectPropertyHighlighter | ( | String | propertyName | ) |

Create a Highlighter for an element of the Object Properties table.

Parameters

  propertyName | the name of the property

Returns
  the created highlighter or NULL if the object couldn't be found

## ◆ CreateTabHighlighter()

Highlighter * CreateTabHighlighter | ( | String | tabName | ) |

Create a Highlighter for a Dock Tab.

Parameters

  tabName | The name of the editor object.

Returns
  The created highlighter or NULL if the object couldn't be found.

## ◆ CreateTitleBarHighlighter()

Highlighter * CreateTitleBarHighlighter | ( | String | objectName | ) |

Create a Highlighter for an item on the TitleBar.

Parameters

  objectName | the name of the object

Returns
  the created highlighter or NULL if the object couldn't be found

## ◆ CreateToolboxHighlighter()

Highlighter * CreateToolboxHighlighter | ( | String | objectName | ) |

Create a Highlighter for an item in the creation toolbox.

Parameters

  objectName | the name of the object

Returns
  the created highlighter or NULL if the object couldn't be found